Check Point Advisories

Web Servers Malicious URL Directory Traversal (CVE-2011-2474; CVE-2014-0130; CVE-2010-4598; CVE-2014-0780; CVE-2015-0666; CVE-2015-4068; CVE-2016-4523; CVE-2016-8530; CVE-2017-11512; CVE-2018-3948; CVE-2018-3949)

Check Point Reference: CPAI-2013-2749
Date Published: 12 Aug 2013
Severity: Critical
Last Updated: 21 Nov 2018
Source:
Industry Reference:CVE-2011-2474
CVE-2014-0130
CVE-2010-4598
CVE-2014-0780
CVE-2015-0666
CVE-2015-4068
CVE-2016-4523
CVE-2016-8530
CVE-2017-11512
CVE-2018-3948
CVE-2018-3949
Protection Provided by:

Security Gateway
R80, R77, R76, R75, R71, R70

Who is Vulnerable?
Vulnerability Description There exists a directory traversal vulnerability On different web servers. The vulnerability is due to an input validation error in a web server that does not properly sanitize the URI for the directory traversal patterns. Successful exploitation allows unauthenticated remote attackers to disclose or access arbitrary files on the vulnerable server.

Protection Overview

This protection will detect and block attempts to exploit this vulnerability.

In order for the protection to be activated, update your Security Gateway product to the latest IPS update.For information on how to update IPS, go to SBP-2006-05, click on Protection tab and select the version of your choice.

Security Gateway R80 / R77 / R76 / R75 / R71 / R70

  1. In the IPS tab, click Protections and find the Web Servers Malicious URL Directory Traversal protection using the Search tool and Edit the protection's settings.
  2. Install policy on all modules.

This protection's log will contain the following information:

Attack Name:  Web Server Enforcement Violation.
Attack Information:  Web Servers Malicious URL Directory Traversal

This website uses cookies to ensure you get the best experience. Got it, Thanks! MORE INFO